<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [setJobAssignment](./bitburner.officeapi.setjobassignment.md)

## OfficeAPI.setJobAssignment() method

Set the job assignment for a job.

**Signature:**

```typescript
setJobAssignment(
    divisionName: string,
    city: CityName,
    job: Exclude<CorpEmployeePosition, "Unassigned">,
    amount: number,
  ): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city


</td></tr>
<tr><td>

job


</td><td>

Exclude&lt;[CorpEmployeePosition](./bitburner.corpemployeeposition.md)<!-- -->, "Unassigned"&gt;


</td><td>

Name of the job. Passing "Unassigned" will cause this API to not do anything and just return false.


</td></tr>
<tr><td>

amount


</td><td>

number


</td><td>

Number of employees to assign to that job


</td></tr>
</tbody></table>

**Returns:**

boolean

true if the employee count reached the target amount, false if not

## Remarks

RAM cost: 20 GB

